<?php

namespace App\Entities\Cloudflare\API;

class AuthEntity extends \App\Entities\CommonEntity
{
    protected $datamap = [];
    protected $dates   = ['created_at', 'updated_at', 'deleted_at'];
    protected $casts   = [];

    public function getPrimaryKey()
    {
        return $this->attributes['uid'];
    }
    public function getTitle()
    {
        return $this->attributes['id'];
    }
    public function getAuthId()
    {
        return $this->attributes['id'];
    }
    public function getAuthKey()
    {
        return $this->attributes['authkey'];
    }

    public function __toString()
    {
        return "{$this->attributes['id']} | {$this->attributes['authkey']} | {$this->attributes['status']}";
    }
}
